import es

dm = es.import_addon('dm')

if dm.useSPE:
    spe = dm.spe
    def load():
        spe.registerPreHook('player_hurt', pre_player_hurt_spe)
    def unload():
        spe.unregisterPreHook('player_hurt', pre_player_hurt_spe)
        
elif dm.useNT:
    nt = dm.nt
    def load():
        nt.preEventRegister("player_hurt", pre_player_hurt_nt)
    def unload():
        nt.preEventUnregister("player_hurt", pre_player_hurt_nt)
        
else:
    raise ImportError, 'Please install SPE or NT before using dm/addons/hsonly'
    
    
def pre_player_hurt_nt(event_var):
    #nt.preEventGetInt("userid")
    hg = nt.preEventGetInt('hitgroup')
    if hg != 1:
        damage = nt.preEventGetInt('dmg_health')
        userid = nt.preEventGetInt('userid')
        health = int(es.getplayerprop(userid, 'CBasePlayer.m_iHealth'))
        es.setplayerprop(userid, 'CBasePlayer.m_iHealth', health+damage)
        
def pre_player_hurt_spe(ev):
    if int(ev['hitgroup']) != 1:
        damage = int(ev['dmg_health'])
        health = int(es.getplayerprop(ev['userid'], 'CBasePlayer.m_iHealth'))
        es.setplayerprop(ev['userid'], 'CBasePlayer.m_iHealth', health+damage)
    
        
    