import es, usermsg, random

dm = es.import_addon('dm')
delay = dm.delay



player_locations = {} #{userid: (x,y,z)}

def player_death(ev):
    global player_locations
    userid = ev['userid']
    player_locations[userid] = es.getplayerlocation(userid)
    newteam = 5 - es.getplayerteam(userid)
    dm.changeTeam(userid, newteam)
    
    t = {2:'Terrorist', 3:'Counter Terrorist'}[newteam]
    es.tell(userid, '#green', 'You will spawn as a %s'%t)
    
def player_spawn(ev):
    global player_locations
    userid = ev['userid']
    if userid in player_locations:
        x, y, z = player_locations[userid]
        del player_locations[userid]
        es.server.queuecmd('es_xsetpos %s %s %s %s'%(userid, x, y, z))
    
    team = es.getplayerteam(userid)
    r,g,b, t = {2: (255, 0, 0, 'Terrorist'), 3:(0,0,255, 'Counter Terrorist')}[team]
    
    usermsg.centermsg(userid, 'You are now a %s'%t)
    usermsg.fade(userid, 1, 100, 100, r, g, b)
    
def round_end(ev):
    players = es.getUseridList()
    swapc = len(players)/2
    swapPlayers = random.sample(players, swapc)
    target = random.choice([2,3])
    for userid in swapPlayers:
        dm.changeTeam(userid, target)
    for userid in players:
        if userid in swapPlayers:
            dm.changeTeam(userid, target)
        else:
            dm.changeTeam(userid, 5-target)
            
    global player_locations
    player_locations = {}